Subject: Re: bug#67540: 29.1; Emacs on Windows incorrectly capitalizes some environment variables
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Dave Abrahams <[email-masked]>, [email-masked], [email-masked]
Date: Tue, 4 Mar 2025 02:15:26 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Dave Abrahams <[email-masked]>
>> Date: Fri, 1 Dec 2023 12:34:40 -0800
>> Cc: [email-masked], [email-masked]
>>
>> You’re saying that these are ported UNIX programs that are only designed to
>> work from inside of Emma, which has changed the spelling of the environment
>> variable names?
>
> No, they are not for Emacs only.  But they expect to see PATH, and
> they compare case-sensitively with "PATH".  If you want to cater to
> swift, which doesn't recognize "PATH", but does recognize "Path", why
> not assume that there are other programs which do the opposite, and
> which will be broken by the change you propose?
>
> IOW, I don't see why we should change code that worked for decades
> because a single application implements a case-sensitive search of
> environment variables on MS-Windows, in direct contradiction of
> platform conventions, and contrary to the behavior of every other
> program I've ever used on Windows?

This is tagged wontfix, and I think the reasoning for that presented
here makes sense.

I'm therefore closing this bug report now.